Package org.apache.qpid.proton.engine.impl

# Interface TransportOutput

All Known Subinterfaces:
  `SslTransportWrapper`, `TransportWrapper`

All Known Implementing Classes:
  `HandshakeSniffingTransportWrapper`, `PlainTransportWrapper`, `SimpleSslTransportWrapper`, `SslHandshakeSniffingTransportWrapper`

public interface TransportOutput

## Method Summary

Modifier and Type
Method
Description
`void`
`close_head()`
`ByteBuffer`
`head()`
`int`
`pending()`
`void`
`pop(int bytes)`

## Method Details

### pending

int pending()

### head

ByteBuffer head()

### pop

void pop(int bytes)

### close_head

void close_head()